Package org.apache.sling.resourceresolver.impl.helper

# Class URI.DefaultCharsetChanged

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.resourceresolver.impl.helper.URI.DefaultCharsetChanged

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  URI

public static class URI.DefaultCharsetChanged extends org.apache.sling.api.SlingException
The charset-changed normal operation to represent to be required to alert to user the fact the default charset is changed.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DOCUMENT_CHARSET`
Document charset changed.
`static final int`
`PROTOCOL_CHARSET`
Protocol charset changed.
`static final int`
`UNKNOWN`
No specified reason code.

## Constructor Summary

Constructors
Constructor
Description
`DefaultCharsetChanged(int reasonCode, String reason)`
The constructor with a reason string and its code arguments.

## Method Summary

Modifier and Type
Method
Description
`String`
`getReason()`
Get the reason message.
`int`
`getReasonCode()`
Get the reason code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNKNOWN

public static final int UNKNOWN
No specified reason code.

See Also:
  - Constant Field Values

### PROTOCOL_CHARSET

public static final int PROTOCOL_CHARSET
Protocol charset changed.

See Also:
  - Constant Field Values

### DOCUMENT_CHARSET

public static final int DOCUMENT_CHARSET
Document charset changed.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultCharsetChanged

public DefaultCharsetChanged(int reasonCode, String reason)
The constructor with a reason string and its code arguments.

Parameters:
  `reasonCode` - the reason code
  `reason` - the reason

## Method Details

### getReasonCode

public int getReasonCode()
Get the reason code.

Returns:
  the reason code

### getReason

public String getReason()
Get the reason message.

Returns:
  the reason message